Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Class UISessionEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.rap.rwt.service.UISessionEvent

All Implemented Interfaces:
  java.io.Serializable

    public class UISessionEvent

extends java.util.EventObject

Events of this type signal a state change of a UI session.

Since:
  2.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`UISessionEvent(UISession uiSession)` Creates a new instance of this class.

Method Summary
`UISession` `getUISession()` Returns the UI session that this event is related to.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UISessionEvent

    public UISessionEvent(UISession uiSession)

  Creates a new instance of this class.

  Parameters:
    `uiSession` - the UI session for this event

Method Detail

### getUISession

    public UISession getUISession()

  Returns the UI session that this event is related to.

  Returns:
    the UI session

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0